summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Reynolds <andrew.j.reynolds@gmail.com>2018-06-26 18:59:28 -0500
committerAndres Noetzli <andres.noetzli@gmail.com>2018-06-26 16:59:28 -0700
commita236ade3242599d4916fd9ee676c2c68c7c004b1 (patch)
tree8e3061156672bd19fe1386e7ccc7924c553ecc76
parent81bb4147ad681641dc99a62fc1a8605f99c05f2d (diff)
sygusComp2018: add scripts. (#2103)
-rw-r--r--contrib/run-script-sygusComp2018-CLIA37
-rw-r--r--contrib/run-script-sygusComp2018-GENERAL37
-rw-r--r--contrib/run-script-sygusComp2018-INV37
-rw-r--r--contrib/run-script-sygusComp2018-PBE_BitVec16
-rw-r--r--contrib/run-script-sygusComp2018-PBE_Strings16
5 files changed, 143 insertions, 0 deletions
diff --git a/contrib/run-script-sygusComp2018-CLIA b/contrib/run-script-sygusComp2018-CLIA
new file mode 100644
index 000000000..b4e00423c
--- /dev/null
+++ b/contrib/run-script-sygusComp2018-CLIA
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all --cegqi-si-abort --decision=internal --cbqi --cbqi-prereg-inst
+trywith 10 --cegqi-si=none
+finishwith --cegqi-si=none --no-sygus-repair-const
diff --git a/contrib/run-script-sygusComp2018-GENERAL b/contrib/run-script-sygusComp2018-GENERAL
new file mode 100644
index 000000000..8419e6841
--- /dev/null
+++ b/contrib/run-script-sygusComp2018-GENERAL
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 120 --cegqi-si=all --cegqi-si-abort --decision=internal --cbqi --cbqi-prereg-inst
+trywith 5 --cegqi-si=none --sygus-crepair-abort
+finishwith --cegqi-si=none --no-sygus-repair-const
diff --git a/contrib/run-script-sygusComp2018-INV b/contrib/run-script-sygusComp2018-INV
new file mode 100644
index 000000000..57870a5af
--- /dev/null
+++ b/contrib/run-script-sygusComp2018-INV
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 10
+trywith 120 --sygus-unif
+finishwith --no-sygus-repair-const
diff --git a/contrib/run-script-sygusComp2018-PBE_BitVec b/contrib/run-script-sygusComp2018-PBE_BitVec
new file mode 100644
index 000000000..ee5035e59
--- /dev/null
+++ b/contrib/run-script-sygusComp2018-PBE_BitVec
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --cegqi-si=none
+
diff --git a/contrib/run-script-sygusComp2018-PBE_Strings b/contrib/run-script-sygusComp2018-PBE_Strings
new file mode 100644
index 000000000..a9e05bf76
--- /dev/null
+++ b/contrib/run-script-sygusComp2018-PBE_Strings
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function finishwith {
+ ($cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench) 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+
+finishwith --cegqi-si=none --sygus-fair=direct
+
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback